Reddit Multireddit
Fetch posts from a user's multireddit.
POST
/v1/reddit/multireddit Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| multiName | body | string | Yes | Multireddit name. |
| username | body | string | Yes | Reddit username. |
| after | body | string | No | Cursor returned by the previous response. |
| before | body | string | No | Cursor returned by the previous response. |
| limit | body | integer | No | Maximum number of items to return. |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/multireddit" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"multiName":"security","username":"goretsky","after":"sample","before":"sample","limit":25}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/reddit/multireddit" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"multiName":"security","username":"goretsky","after":"sample","before":"sample","limit":25,"_run":{"async":false}}'